Subject: Re: Loopback and net namespace

From: "Serge E. Hallyn" <[email-masked]>
Date: Sat, 25 Apr 2009 09:00:53 -0500

Quoting [email-masked] ([email-masked]):
>
> Currently it is impossible to use both net namespace and sysfs
> because sysfs does not allow two devices with the same name
> and each net namespace has to have loopback device.

?  What kernel version are you on?  Try jumping to 2.6.29 or later
(and non-distro kernel).

It most certainly is possible to have net namespaces and sysfs.
Since sysfs tagged directories must wait until sysfs locking itself
is straightened out, the workaround was to have network devices
in a network namespace other than init not show up in sysfs.
(Physical devices therefore cannot be passed into non-init network
namespaces).

thanks,
-serge